Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161746 - sparc gcc4 patch.
Summary: sparc gcc4 patch.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: rawhide
Hardware: sparc
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-26 22:35 UTC by Balint Cristian
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-01 06:54:19 UTC


Attachments (Terms of Use)

Description Balint Cristian 2005-06-26 22:35:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.1 (like Gecko)

Description of problem:
Fc5 devel, and olso upstream need gcc4 patch.In 2 places it still use -mv8 
obsolete switch passed to gcc. 

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-38

How reproducible:
Always

Steps to Reproduce:
Try to compile  :)   
Fixed by patch:  
xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile 
xc/extras/Mesa/configs/linux-ultrasparc 

Actual Results:  It works with the patch. 

Additional info:

Here is the patch [tested], it is a possible patch, maybe gcc version chhecker 
pragmas will be better: 
--- xc/extras/Mesa/configs/linux-ultrasparc.orig        2004-12-14 
20:50:55.000000000 -0500 
+++ xc/extras/Mesa/configs/linux-ultrasparc     2005-06-26 22:36:09.000000000 
-0400 
@@ -7,8 +7,8 @@ 
 # Compiler and flags 
 CC = gcc 
 CXX = g++ 
-CFLAGS = -mv8 -O2 -mtune=ultrasparc -ansi -pedantic -fPIC -D_SVID_SOURCE 
-D_BSD_SOURCE -I/usr/X11R6/include -DUSE_XSHM 
-CXXFLAGS = -mv8 -O2 -mtune=ultrasparc -ansi -pedantic -fPIC -D_SVID_SOURCE 
-D_BSD_SOURCE 
+CFLAGS = -mcpu=v7 -mtune=ultrasparc -O2 -ansi -pedantic -fPIC -D_SVID_SOURCE 
-D_BSD_SOURCE -I/usr/X11R6/include -DUSE_XSHM 
+CXXFLAGS = -mcpu=v7 -mtune=ultrasparc -O2 -ansi -pedantic -fPIC 
-D_SVID_SOURCE -D_BSD_SOURCE 
 GLUT_CFLAGS = -fexceptions 
 
 GL_LIB_DEPS = -L/usr/X11R6/lib -lX11 -lXext -lm -lpthread 
--- xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile.orig        
2004-06-16 05:44:00.000000000 -0400 
+++ xc/programs/Xserver/hw/xfree86/drivers/sunffb/Imakefile     2005-06-26 
22:46:51.000000000 -0400 
@@ -22,7 +22,7 @@ 
 #if AsOutputArchSize == 32 
 #define FFBCObjectRule(name)                                           @@\ 
 name.o: name.c                                                         @@\ 
-       ObjectCompile(-mv8 -mtune=ultrasparc \ 
+       ObjectCompile(-mcpu=v7 -mtune=ultrasparc \ 
                $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES))            @@\ 
        dd if=/dev/zero bs=1 count=3 2>/dev/null | \ 
                dd of=$@ bs=1 count=3 seek=36 conv=notrunc 2>/dev/null  @@\ 
@@ -31,10 +31,10 @@ 
                dd of=$@ bs=1 count=1 seek=19 conv=notrunc 2>/dev/null  @@\ 
                                                                        @@\ 
 name.i: name.c                                                         @@\ 
-       CPPOnlyCompile(name.c,-mv8 \ 
+       CPPOnlyCompile(name.c,-mcpu=v7 -mtune=ultrasparc \ 
                $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES))            @@\ 
                                                                        @@\ 
-CenterLoadTarget(debug_src,name.c,NullParameter,$(ALLDEFINES) -mv8 \ 
+CenterLoadTarget(debug_src,name.c,NullParameter,$(ALLDEFINES) -mcpu=v7 
-mtune=ultrasparc \ 
        $(GCCVISOPTION) $(VISOPTIONS) $(DRIDEFINES)) 
 #define FFBsObjectRule(name)                                           @@\ 
 name.o: name.s                                                         @@\

Comment 1 Mike A. Harris 2005-07-01 06:54:19 UTC
I'd recommend submitting such a patch to the X.Org project directly,
as Sparc is not a supported architecture.

Please visit: http://bugs.freedesktop.org

to submit a bug report in the "xorg" component.  When you file your report,
if you'd like to see it fixed both in CVS head and in the stable branch,
be sure to indicate that in your request as well.

Hope this helps.


Setting status to "WONTFIX" (unsupported architecture)




Comment 2 Balint Cristian 2005-07-01 14:46:05 UTC
Clear. I understand. 
 
Thank you Mike ! 
 
 

Comment 3 Balint Cristian 2005-07-03 10:27:23 UTC
Reported at  http://bugs.freedesktop.org. 


Note You need to log in before you can comment on or make changes to this bug.